LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XExecutableDialog Interface Referencepublished

Specifies an interface for an executable dialog. More...

`import"XExecutableDialog.idl";`

Inheritance diagram for XExecutableDialog:

## Public Member Functions
void | setTitle ([in] string aTitle)
| Sets the title of the dialog. More...
short | execute ()
| Executes (shows) the dialog. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specifies an interface for an executable dialog.

## Member Function Documentation

## ◆ execute()

short execute | ( |  | ) |

Executes (shows) the dialog.

Returns
  A status code of type ExecutableDialogResults.

## ◆ setTitle()

void setTitle | ( | [in] string | aTitle | ) |

Sets the title of the dialog.

Parameters

  aTitle | Set an arbitrary title for the dialog, may be an empty string if the dialog should not have a title.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XExecutableDialog.idl